# $Revision: 1.10 $, $Date: 2012/01/11 22:30:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Graphics
%define		pnam	ColorPicker
Summary:	Graphics::ColorPicker - allows web applications selection of hex color numbers
Summary(pl.UTF-8):	Graphics::ColorPicker - wybór szesnastkowych kodów kolorów dla aplikacji WWW
Name:		perl-Graphics-ColorPicker
Version:	0.12
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	22130749d48845a8dcb13fdc7a6a5a70
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cgidir	/home/services/httpd/cgi-bin
%define		imgreldir	/ColorPicker
%define		imgdir	/home/services/httpd/html%{imgreldir}

%description
This module generates a set of palettes to select a HEX or DECIMAL
color number via a web browser. make_page() can be called by
javascript from your web page and will set the HEX value in a variable
in the calling page and scope. The selector page can be created for 24
million or 216 web safe colors only.

%description -l pl.UTF-8
Ten moduł generuje zbiór palet do wyboru szesnastkowego lub
dziesiętnego numeru koloru przez przeglądarkę WWW. make_page() może
być wywołane z poziomu JavaScriptu na stronie i ustawi wartość
szesnastkową w zmiennej w wywoływanej stronie. Strona wyboru koloru
może być utworzona dla 24 milionów kolorów lub tylko 216 kolorów
"bezpiecznych dla WWW".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{cgidir},%{imgdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -e "/^use lib/d;s@'./'@'%{imgreldir}/'@" scripts/p_gen.cgi \
	> $RPM_BUILD_ROOT%{cgidir}/p_gen.cgi
install images/* $RPM_BUILD_ROOT%{imgdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README examples/demo.html
%{perl_vendorlib}/Graphics/ColorPicker.pm
%dir %{perl_vendorlib}/auto/Graphics
%{perl_vendorlib}/auto/Graphics/ColorPicker
%{_mandir}/man3/*

%attr(755,root,root) %{cgidir}/p_gen.cgi
%{imgdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Graphics-ColorPicker.spec,v $
Revision 1.10  2012/01/11 22:30:43  zbyniu
- up to 0.12

Revision 1.9  2009/06/24 06:15:17  amateja
- updated to 0.11

Revision 1.8  2008/07/27 22:36:06  arekm
- release 2

Revision 1.7  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.5  2004/12/01 17:34:12  radek
- autoupdated to 0.10

Revision 1.4  2004/11/03 22:30:24  paladine
- formatting

Revision 1.3  2004/05/06 18:43:11  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.1  2003/06/18 21:54:27  qboosh
- new

